__all__ = 'ApplicationAttributeNotFound'

from gm_meta_plugin.errors.plugin_error import PluginError


class ApplicationAttributeNotFound(PluginError):

    def __init__(self, app, app_version, key):
        PluginError.__init__(self, "Could not find attribute '" + unicode(key) + "' for app '" + unicode(app) + " (" + unicode(app_version) + ")'")
