__all__ = 'APIClient'

from gm_qt_plugin import QtAPIClient
from gm_meta_plugin.gridmarkets import constants as api_constants


class APIClient(QtAPIClient):

    def sign_in(self, user, skip_validation = False):
        QtAPIClient.sign_in(self, user, skip_validation=skip_validation)

        # cache the machine options for maya
        self.get_machines(api_constants.PRODUCTS.MAYA, 'render')
