__all__ = 'ClickableQLabel'

from PySide2 import QtCore
from PySide2 import QtWidgets


class ClickableQLabel(QtWidgets.QLabel):

    # Signals
    clicked = QtCore.Signal()

    def mousePressEvent(self, event):
        self.clicked.emit()
